/*
//
//                      Copyright (c) 1996 by
//                      Advanced Visual Systems Inc.
//                      All Rights Reserved
//
//      This software comprises unpublished confidential information of
//      Advanced Visual Systems Inc. and may not be used, copied or made
//      available to anyone, except in accordance with the license
//      under which it is furnished.
//
//      This file is under CVS/RCS control in:
//      $Id: //depot/express/fcs992/include/agx/agx.h#1 $
//
// UNIRAS function declarations for IMA
//--------------------------------------------------------------------*/

#ifndef _agx_h
#define _agx_h


#ifndef NeedFunctionPrototypes
#if defined(FUNCPROTO) || defined(__STDC__) || defined(__cplusplus)
#define NeedFunctionPrototypes 1
#else
#define NeedFunctionPrototypes 0
#endif
#endif                                         /* NeedFunctionPrototypes */

#ifndef NeedWidePrototypes
#if defined(NARROWPROTO)
#define NeedWidePrototypes 0
#else
#define NeedWidePrototypes 1        /* default to make interropt. easier */
#endif
#endif

#ifdef __cplusplus                  /* do not leave open across includes */
extern "C" {                                            /* for C++ V2.0 */
#endif

#ifndef _agx64_h
#include <agx/agx32.h>
#endif

/* #include <agx/agxfont.h> */
#include <agx/agxaxi.h>
  /* #include <agx/agxblk.h> */
#include <agx/agxcha.h>
#include <agx/agxcgm.h>
#include <agx/agxcon.h>
#include <agx/agxcpl.h>
  /* #include <agx/agxflo.h> */
#include <agx/agxgra.h>
  /* #include <agx/agxgrd.h> */
#include <agx/agxima.h>
  /* #include <agx/agxint.h> */
  /* #include <agx/agxprj.h> */
  /* #include <agx/agxkri.h> */
  /* #include <agx/agxpng.h> */
  /* #include <agx/agxsei.h> */
  /* #include <agx/agxtif.h> */
  /* #include <agx/agxren.h> */
  /* #include <agx/agxvol.h> */
  /* #include <agx/agxold.h> */

#ifdef __cplusplus
}                                                        /* for C++ V2.0 */
#endif

#endif /* _agx_h */
/* DON'T ADD ANYTHING AFTER THIS #endif */
